/* サムネイル
  ---------------------------------------------------------------------------*/
.seasons__thumbnail{
    position: relative;
    width: 100%;
    height: 250px;
    margin-top: 90px;
}

.seasons__thumbnail-img{
    width: 100%;
    height: 100%;
    object-fit:cover;
}

.seasons__thumbnail::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 0;
    pointer-events: none;
  }


.seasons__thumbnail-content{
    position: absolute;
    width: 45%;
    max-width: 500px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--main_white);
    padding: 16px 0 8px;
    border-radius: 16px 16px 0px 0px;
    font-family: var(--title-font-family);

    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
}

.seasons__thumbnail-content h1{
    color: var(--main_deap-red);
    font-size: var(--title-fontSize-L);
}

.seasons__kanji{
    position: absolute;
    width: 80px;
    height: 80px;
    top: 50%;
    transform: translateY(-50%);
    left: 100px;
    color: var(--main_white);
    font-size: var(--title-fontSize-XL);
    font-family: var(--logo-font-family);
    font-weight: bold;
    display: flex;
    flex-direction: column;
    gap: 8px; 
    justify-content: center;
    align-items: center;
}


.seasons__section{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
}

@media screen and (max-width:1024px) {
    .seasons__thumbnail{
        margin-top: 60px;
        height: 200px;
    }

    .seasons__thumbnail-content h1{
        font-size: var(--title-fontSize-M);
    }

    .seasons__kanji{
        width: 60px;
        height: 60px;
        left: 60px;
        font-size: var(--title-fontSize-L);
    }
}

@media screen and (max-width:520px) {
    .seasons__thumbnail{
        height: 150px;
    }
    .seasons__thumbnail-content h1{
        font-size: var(--title-fontSize-S);
    }
    .seasons__thumbnail-content{
        padding: 8px 0 4px;
    }
    .seasons__thumbnail-content p {
        font-size: var(--text-fontSize-S);
    }
    .seasons__kanji{
        width: 40px;
        height: 40px;
        left: 40px;
        font-size: var(--title-fontSize-M);
    }
}
